import { IsNotEmpty, IsOptional } from "class-validator";

export class CreateCourseDTO {
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  name: string;

  @IsOptional()
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  desription: string;
}
