import { IsNotEmpty, IsOptional } from "class-validator";

export class UpdateUserCourseDataDTO {
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  courseId: number;

  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  userId: number;

  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  courseTypeId: number;

  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  isSuccess: boolean;

  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  isFinished: boolean;

  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  @IsOptional()
  timeSpent: number;
}
