import { IsArray, IsNotEmpty } from "class-validator"
import { TactActionsDTO } from "./tact-action.dto"

export class UserCourseTactTmeSaveDTO {
    @IsNotEmpty({
        message: "Mező kitöltése kötelező.",
    })
    userId: Number
    @IsNotEmpty({
        message: "Mező kitöltésFe kötelező.",
    })
    courseId: Number
    @IsNotEmpty({
        message: "Mező kitöltése kötelező.",
    })
    @IsArray({ message: "Tömbnek kell lennie." })
    savedActions: TactActionsDTO[]
}
