import {
  IsNotEmpty,
  IsEmail,
  IsString,
  IsNumber,
  Allow,
  IsOptional,
} from "class-validator";

export class ModifyAdminDTO {
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  @IsNumber()
  id: number;
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  @IsEmail(
    {},
    {
      message: "Helytelen formátum.",
    }
  )
  email: string;

  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  firstName: string;
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  lastName: string;
  @IsOptional()
  password: string;
  @IsOptional()
  workStartDate: number;
  @IsOptional()
  rank: string
  @IsOptional()
  groupId: string
}
