import { IsNotEmpty, IsEmail, IsString, IsNumber, IsOptional } from "class-validator";

export class RegistrationFromCMSDTO {
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  @IsEmail(
    {},
    {
      message: "Helytelen formátum.",
    }
  )
  email: string;

  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  firstName: string;
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  lastName: string;

  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  groupId: number;
}
