import { IsNotEmpty, IsEmail, IsString, IsNumber } from "class-validator";

export class RegistrationDTO {
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  @IsEmail(
    {},
    {
      message: "Helytelen formátum.",
    }
  )
  email: string;

  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  password: string;
}
