import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from "typeorm";
import { FilesCourse } from "./file-course.entity";
import { Files } from "./file-descriptor.entity";


@Entity()
export class FileType {
  @PrimaryGeneratedColumn({
    unsigned: true,
  })
  id: number;

  @Column({
    nullable: true,
    length: 255,
  })
  name: string | null;
  
        @OneToMany(type => Files, files => files.fileType)
    files: Files[];
}

