import { ApiException } from "../../module/routing/exception/api.exception";
import { HttpStatus } from "@nestjs/common";

export class FileAlreadyExistsException extends ApiException {
  code = 2001;
  message = "File already exists with that name";
  http_status_code = HttpStatus.BAD_REQUEST;
}
