import { ApiException } from "../../module/routing/exception/api.exception";
import { HttpStatus } from "@nestjs/common";

export class NotSupportedFileException extends ApiException {
  code = 2005;
  message = "File not supported";
  http_status_code = HttpStatus.NOT_ACCEPTABLE;
}
