import {
    IsNotEmpty, IsOptional,

} from "class-validator";

export class EditCourseFromCMSDTO {


    @IsNotEmpty({
        message: "Mező kitöltése kötelező.",
    })
    courseId: number;
    @IsNotEmpty({
        message: "Mező kitöltése kötelező.",
    })
    name: string;
    @IsOptional()
    @IsNotEmpty({
        message: "Mező kitöltése kötelező.",
    })
    description: string;
    @IsNotEmpty({
        message: "Mező kitöltése kötelező.",
    })
    languageId: number;
    @IsNotEmpty({
        message: "Mező kitöltése kötelező.",
    })
    statusId: number;
}
