import { IsArray, IsNotEmpty } from "class-validator";

export class SetFileToCourseDTO {
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  courseId: Number;
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  @IsArray({ message: "Tömbnek kell lennie." })
  fileIds: Number[];
}
