import { IsArray, IsBooleanString, IsNotEmpty } from "class-validator"
import { UserStatisticsActionsDTO } from "./user-statistics-actions.dto"

export class UserStatisticsSaveDTO {
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  type: Number
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  userId: Number
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  courseId: Number
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  userName: String
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  name: String
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  date: Date
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  time: Number
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  @IsBooleanString({
    message: "Mező kitöltése kötelező.",
  })
  success: Boolean
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  @IsArray({ message: "Tömbnek kell lennie." })
  actions: UserStatisticsActionsDTO[]
}
