import { IsNotEmpty, IsEmail } from 'class-validator';


export class ForgotPasswordDTO {

	@IsNotEmpty({
		message: 'Mező kitöltése kötelező.'
	})
	@IsEmail({}, {
		message: 'Helytelen formátum.'
	})
	email: string;

}
