import {
  IsNotEmpty,
  IsEmail,
  IsNumber,
} from "class-validator";

export class ModifyUserDTO {
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  @IsNumber()
  id: number;
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  @IsEmail(
    {},
    {
      message: "Helytelen formátum.",
    }
  )
  email: string;
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  password: string;
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  firstName: string;
  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  lastName: string;

  @IsNotEmpty({
    message: "Mező kitöltése kötelező.",
  })
  @IsNumber()
  groupId: number;
}
