import {
    IsNotEmpty,
    IsEmail,
    IsString,
    IsNumber,
    Allow,
  } from "class-validator";
  
  export class ModifyUserFromProfileDTO {
    @IsNotEmpty({
      message: "Mező kitöltése kötelező.",
    })    
    id: any;
    @IsNotEmpty({
      message: "Mező kitöltése kötelező.",
    })
    @IsEmail(
      {},
      {
        message: "Helytelen formátum.",
      }
    )
    email: string;
    @Allow()
    password: string;
    @IsString()
    firstname: string;
    @IsString()
    lastname: string;
  }
  