import { ApiException } from "../../module/routing/exception/api.exception";
import { HttpStatus } from "@nestjs/common";

export class FileCourseNotFoundException extends ApiException {
  code = 2002;
  message = "File not connected to course";
  http_status_code = HttpStatus.NOT_FOUND;
}
